Summary: Model Railroad System
Name: MRRSystem
Version: 2.1.26
Release: 1%{?dist}
Group: Applications/Engineering
License: GPL
Packager: Robert Heller <heller@deepsoft.com>
URL: http://www.deepsoft.com/ModelRailroadSystem
Source: ftp://ftp.deepsoft.com/pub/deepwoods/Products/MRRSystem/MRRSystem-2.1.26.tar.gz
BuildRoot: /var/tmp/%{name}-root
BuildRequires: doxygen, tcl-devel >= 8.4, bison++, swig >= 1.3
BuildRequires: libusb-devel >= 0.1.10, bwidget, tcllib, gcc >= 3.4, gcc-c++
BuildRequires: libstdc++-devel, glibc-devel, unzip
BuildRequires: boost-devel, libtool, automake, autoconf, tetex-latex, 
BuildRequires: tetex-tex4ht
# Suppress striping executables -- preserve my starkits! 
%define __strip /bin/true
%description
The Model Railroad System contains programs and libraries to support
various model railroad activities, including operating the model
railroad itself, freight car forwarding, time table creating, and
dealing with some of the design work as well.


%package doc
Summary: Model Railroad System Documentation
Group: Applications/Engineering
%description doc
The Model Railroad System contains programs and libraries to support
various model railroad activities, including operating the model
railroad itself, freight car forwarding, time table creating, and
dealing with some of the design work as well. This is the documentation
package.

%package devel
Summary: Model Railroad System Development
Group: Applications/Engineering
%description devel
The Model Railroad System contains programs and libraries to support
various model railroad activities, including operating the model
railroad itself, freight car forwarding, time table creating, and
dealing with some of the design work as well. This is the development
package.

%prep
%setup -q
aclocal
automake --gnu --add-missing --copy --force
autoconf

%build
%configure
make

%install
rm -rf $RPM_BUILD_ROOT/usr
rm -rf $RPM_BUILD_ROOT/etc
make DESTDIR=$RPM_BUILD_ROOT install
/usr/bin/install -d $RPM_BUILD_ROOT/etc/hotplug/usb
/usr/bin/install -c $RPM_BUILD_ROOT/usr/share/MRRSystem/RailDriver/raildriverd.hotplug $RPM_BUILD_ROOT/etc/hotplug/usb/raildriverd


%clean
rm -rf $RPM_BUILD_ROOT

%post 
grep -v raildriverd /etc/hotplug/usb.usermap > /etc/hotplug/usb.usermap.tmp
/usr/share/MRRSystem/RailDriver/print-usb-usermap >> /etc/hotplug/usb.usermap.tmp
mv /etc/hotplug/usb.usermap.tmp /etc/hotplug/usb.usermap
# register libraries
/sbin/ldconfig

%postun 
/sbin/ldconfig
if [ "$1" = 0 ]; then
    # remove raildriverd from /etc/hotplug/usb.usermap
    grep -v 'raildriverd' /etc/hotplug/usb.usermap > /etc/hotplug/usb.usermap.new
    mv /etc/hotplug/usb.usermap.new /etc/hotplug/usb.usermap
fi


%files
%defattr(-, root, root)

%doc AUTHORS COPYING INSTALL NEWS README ChangeLog
%{_bindir}/LocoTest
%{_bindir}/UniversalTest
%{_bindir}/Dispatcher
%{_bindir}/DispatcherNoBoost
%{_bindir}/AnyDistance
%{_bindir}/Closest
%{_bindir}/Resistor
%{_bindir}/LocoPull
%{_bindir}/FCFMain
%{_bindir}/FCFCreate
%{_bindir}/TTChart2TT2
%{_bindir}/TimeTable
%{_bindir}/ModelRRSystem
%{_sbindir}
%{_sysconfdir}/hotplug/usb/raildriverd
%{_libdir}/libcmri.so 
%{_libdir}/libcmri.so.0 
%{_libdir}/libcmri.so.0.0.0 
%{_libdir}/libfcfclasses.so 
%{_libdir}/libfcfclasses.so.0 
%{_libdir}/libfcfclasses.so.0.0.0 
%{_libdir}/libMRRParserClasses.so 
%{_libdir}/libMRRParserClasses.so.0 
%{_libdir}/libMRRParserClasses.so.0.0.0 
%{_libdir}/libMRRParserClassesNoBoost.so 
%{_libdir}/libMRRParserClassesNoBoost.so.0 
%{_libdir}/libMRRParserClassesNoBoost.so.0.0.0 
%{_libdir}/libttclasses.so 
%{_libdir}/libttclasses.so.0 
%{_libdir}/libttclasses.so.0.0.0 
%{_libdir}/libxpressnet.so 
%{_libdir}/libxpressnet.so.0 
%{_libdir}/libxpressnet.so.0.0.0 
%{_libdir}/MRRSystem/libcmri.so 
%{_libdir}/MRRSystem/libfcfclasses.so 
%{_libdir}/MRRSystem/libMRRParserClasses.so 
%{_libdir}/MRRSystem/libMRRParserClassesNoBoost.so 
%{_libdir}/MRRSystem/libttclasses.so 
%{_libdir}/MRRSystem/libxpressnet.so 
%{_libdir}/MRRSystem/pkgIndex.tcl 
%{_datadir}/MRRSystem/Common 
%{_datadir}/MRRSystem/GRSupport 
%{_datadir}/MRRSystem/TTScripts 
%{_datadir}/MRRSystem/RailDriver 
%{_mandir}/man1
%{_mandir}/man8
%{_desktopdir}
%{_datadir}/pixmaps

%files doc
%defattr(-, root, root)

%{_datadir}/MRRSystem/Doc

%files devel

%{_bindir}/tclkit-linux-x86_64
%{_libdir}/libcmri.la 
%{_libdir}/libfcfclasses.la 
%{_libdir}/libMRRParserClasses.la 
%{_libdir}/libMRRParserClassesNoBoost.la 
%{_libdir}/libttclasses.la 
%{_libdir}/libxpressnet.la 
%{_libdir}/libcmri.a 
%{_libdir}/libfcfclasses.a 
%{_libdir}/libMRRParserClasses.a 
%{_libdir}/libMRRParserClassesNoBoost.a 
%{_libdir}/libttclasses.a
%{_libdir}/libxpressnet.a
%{_libdir}/MRRSystem/AddKitDir.kit
%{_libdir}/MRRSystem/AddKitFile.kit
%{_libdir}/MRRSystem/MakePkgIndex.kit
%{_libdir}/MRRSystem/sdx.kit
%{_libdir}/MRRSystem/pkgIndex_cmri.tcl
%{_libdir}/MRRSystem/pkgIndex_fcfclasses.tcl
%{_libdir}/MRRSystem/pkgIndex_mrr.tcl
%{_libdir}/MRRSystem/pkgIndex_mrrnoboost.tcl
%{_libdir}/MRRSystem/pkgIndex_ttclasses.tcl
%{_libdir}/MRRSystem/pkgIndex_xpressnet.tcl
%{_libdir}/MRRSystem/Installer
%{_mandir}/man3
%{_prefix}/include
